/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2000 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

package org.netbeans.examples.modules.audioloader;
import java.io.IOException;
import org.openide.actions.*;
import org.openide.filesystems.*;
import org.openide.loaders.*;
import org.openide.util.NbBundle;
import org.openide.util.actions.SystemAction;
public class AudioDataLoader extends UniFileLoader {
    private static final long serialVersionUID =-1642575100744223632L;
    public AudioDataLoader () {
        super (AudioDataObject.class);
    }
    protected void initialize () {
        super.initialize ();
        ExtensionList extensions = new ExtensionList ();
        extensions.addExtension ("aif");
        extensions.addExtension ("aifc");
        extensions.addExtension ("aiff");
        extensions.addExtension ("au");
        extensions.addExtension ("mid");
        extensions.addExtension ("snd");
        extensions.addExtension ("wav");
        setExtensions (extensions);
        // Could also set MIME types:
        //FileUtil.setMIMEType ("au", "audio/basic");
    }
    protected String defaultDisplayName () {
        return NbBundle.getBundle (AudioDataLoader.class).getString ("LBL_loaderName");
    }
    protected SystemAction[] defaultActions () {
        return new SystemAction[] {
            SystemAction.get (ViewAction.class),
            SystemAction.get (FileSystemAction.class),
            null,
            SystemAction.get (CutAction.class),
            SystemAction.get (CopyAction.class),
            SystemAction.get (PasteAction.class),
            null,
            SystemAction.get (DeleteAction.class),
            SystemAction.get (RenameAction.class),
            null,
            SystemAction.get (SaveAsTemplateAction.class),
            null,
            SystemAction.get (ToolsAction.class),
            SystemAction.get (PropertiesAction.class),
        };
    }
    protected MultiDataObject createMultiObject (FileObject primaryFile)
    throws DataObjectExistsException, IOException {
        return new AudioDataObject (primaryFile, this);
    }
}
