/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2000 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

package org.netbeans.examples.modules.audioloader;
import java.io.IOException;
import org.openide.execution.NbClassPath;
import org.openide.filesystems.FileObject;
import org.openide.loaders.*;
import org.openide.nodes.Node;
import org.openide.util.HelpCtx;
public class AudioDataObject extends MultiDataObject {
    private static final long serialVersionUID =-8566202829189670438L;
    public AudioDataObject (FileObject pf, AudioDataLoader loader) throws DataObjectExistsException {
        super (pf, loader);
        // Overridden to only let you play files on disk,
        // since JavaSound does not like them to be remote:
        if (NbClassPath.toFile (getPrimaryFile ()) != null) {
            getCookieSet ().add (new ViewAudioSupport (this));
        }
    }
    public HelpCtx getHelpCtx () {
        return new HelpCtx ("org.netbeans.examples.modules.audioloader");
    }
    protected Node createNodeDelegate () {
        return new AudioDataNode (this);
    }
}
